Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.benchmark.config.ranking
Enum SolverRankingType

    java.lang.Object
      java.lang.Enum<SolverRankingType>
          org.optaplanner.benchmark.config.ranking.SolverRankingType

All Implemented Interfaces:
  Serializable, Comparable<SolverRankingType>

    public enum SolverRankingType

extends Enum<SolverRankingType>

Enum Constant Summary
`TOTAL_RANKING` Maximize the overall ranking.
`TOTAL_SCORE` Maximize the overall score, so minimize the overall cost if all `Solution`s would be executed.
`WORST_SCORE` Minimize the worst case scenario.

Method Summary
`static SolverRankingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolverRankingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOTAL_SCORE

    public static final SolverRankingType TOTAL_SCORE

  Maximize the overall score, so minimize the overall cost if all `Solution`s would be executed.

  See Also:
    `TotalScoreSolverRankingComparator`

### WORST_SCORE

    public static final SolverRankingType WORST_SCORE

  Minimize the worst case scenario.

  See Also:
    `WorstScoreSolverRankingComparator`

### TOTAL_RANKING

    public static final SolverRankingType TOTAL_RANKING

  Maximize the overall ranking.

  See Also:
    `TotalRankSolverRankingWeightFactory`

Method Detail

### values

    public static SolverRankingType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SolverRankingType c : SolverRankingType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SolverRankingType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.